MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Create DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentLink Vault EntryList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnlink Vault EntryUpdate Router ConfigWrite Credential
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceDeployments

Link Vault Entry

PUT
/v1/deployments/{deployment_id}/credentials/{entry_id}/vault

Bind a reusable vault credential to this deployment entry.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid
entry_id*Entry Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08/vault" \  -H "Content-Type: application/json" \  -d '{    "vault_entry_id": "853a7105-f16b-48b9-904e-39c6bce71edb"  }'
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Deployment

Previous Page

List Credential Metadata

Next Page

vault_entry_id*Vault Entry Id
Formatuuid